Jump to content

[1.11.X] Tantares - Stockalike Soyuz and MIR [4.0][17.3.2021][Lunokhod]


Recommended Posts

49 minutes ago, Beale said:

GyT9wzr.jpeg
p3DVFcu.jpg

 

Oh these are great!

Is there maybe some way to write a generic - "cover all" snack config, per crew seats or something? It would be nice if we could add support.

Snacks adds resources to all crewed parts with ModuleCommand by default.  The only customisation you need is to add resource converters to taste, hence those configs for Mir parts to simulate the station-wide life support.  I didn't add anything to the smaller station parts (Almaz etc) since I figured those wouldn't have proper life support systems.  Snacks has fun things like Oxygen candles already, which seem more appropriate for the early era orbitals.

Link to post
Share on other sites
On 3/4/2021 at 10:42 AM, Beale said:

the periscope is now a small greyscale camera (so you can look through it with the live preview window). Without the Neptune Camera mod it is purely decorative yeah. Could never find a stock use for it really

 

You mean the soyuz periscope? Allright! Thanks Beale, specially so because as far as I am aware, I was the only one petitioning for this. Makes sense though, doesn't it?

Link to post
Share on other sites
20 hours ago, Minmus Taster said:

Oh wow...

So will the  side tanks that the spacecraft ditches be made to?

Yes, that is the plan (below).

20 hours ago, Friznit said:

Snacks adds resources to all crewed parts with ModuleCommand by default.  The only customisation you need is to add resource converters to taste, hence those configs for Mir parts to simulate the station-wide life support.  I didn't add anything to the smaller station parts (Almaz etc) since I figured those wouldn't have proper life support systems.  Snacks has fun things like Oxygen candles already, which seem more appropriate for the early era orbitals.

Forgive my ignorance :D

That is pretty sweet then, maybe this should go in the next release or something, if you are okay with that.

19 hours ago, Daniel Prates said:

 

You mean the soyuz periscope? Allright! Thanks Beale, specially so because as far as I am aware, I was the only one petitioning for this. Makes sense though, doesn't it?

it does indeed!

MGQZrWC.jpg

 

 

 

 

Finally starting to look like something.

A392QCB.jpg
TiJME5t.jpg

Link to post
Share on other sites
5 minutes ago, Beale said:

That is pretty sweet then, maybe this should go in the next release or something, if you are okay with that.

Sure of course! 

Link to post
Share on other sites

Just curious: how is the current situation with CKAN? There is a 'new tantares' there, which I am not sure if it is the current tantares version. In any case I use the space dock version, but it would be nice to know if CKAN's download is valid. 

Link to post
Share on other sites
2 hours ago, Daniel Prates said:

Just curious: how is the current situation with CKAN? There is a 'new tantares' there, which I am not sure if it is the current tantares version. In any case I use the space dock version, but it would be nice to know if CKAN's download is valid. 

"New Tantares" is the latest version as of several days ago when I last checked. With KSP 1.10.1 I had to manually force the version, though, because CKAN thinks the latest Tantares requires 1.11 minimum. (to get all 3 related mods, CKAN also has "New Tantares LV", and "Tantares SP" without "new")

Search for recent posts by me in this thread for more details if you need them. Beale replied that CKAN would be changed to reduce confusion. [my note: shhh, don't distract him from new models ;)]

 

Link to post
Share on other sites
Posted (edited)
On 3/7/2021 at 6:19 AM, Kunosheru said:

will that drill arm be added for Luna 16?
Луна-16»   
By the way, 

 

For sure, this will be included.

13 hours ago, Daniel Prates said:

Just curious: how is the current situation with CKAN? There is a 'new tantares' there, which I am not sure if it is the current tantares version. In any case I use the space dock version, but it would be nice to know if CKAN's download is valid. 

10 hours ago, DeadJohn said:

"New Tantares" is the latest version as of several days ago when I last checked. With KSP 1.10.1 I had to manually force the version, though, because CKAN thinks the latest Tantares requires 1.11 minimum. (to get all 3 related mods, CKAN also has "New Tantares LV", and "Tantares SP" without "new")

Search for recent posts by me in this thread for more details if you need them. Beale replied that CKAN would be changed to reduce confusion. [my note: shhh, don't distract him from new models ;)]

 

I have to admit I am not very intelligent with the CKAN stuff. I think somebody added the "New" streams at some point separate from the old.

Trouble is, I don't have any idea where to go in order to get rid of the "New" and just have Tantares distributed through the standard "Tantares" and "TantaresLV" entries. Any ideas?

 

 

GitHub

https://github.com/Tantares/TantaresSP

Bunch of balancing, stuff. Legs, experiments, rover platform still to come.

 

----------
Due to increased frustration with a lot of elements of the stock game becoming... limiting over time, especially the variant system, I am hitting a lot of brick walls.
Because of this, I might need to look at adding dependencies to Tantares, specifically B9 Part Switch. How is the feeling around this? Please give me your input.

This would unlock some exciting doors, but of course I appreciate Tantares, TantaresLV, and our little baby TantaresSP have been without dependencies for almost 7 years now, so I don't want to just plow forward with that.
----------

 

HTZJXhW.jpg
Xt5eMuB.jpeg
DD8huQ2.jpeg

Edited by Beale
Link to post
Share on other sites
6 minutes ago, Beale said:

 


Xt5eMuB.jpeg
 

Giggity.

 

7 minutes ago, Beale said:

Because of this, I might need to look at adding dependencies to Tantares, specifically B9 Part Switch

I would argue most people already have B9ps because of several other mods. Tantares would simply be another one. So I guess nobody would mind.

Link to post
Share on other sites
3 minutes ago, Daniel Prates said:

Giggity.

 

I would argue most people already have B9ps because of several other mods. Tantares would simply be another one. So I guess nobody would mind.

This ^

Link to post
Share on other sites

yeah, I agree with Friznit and Daniel Prates

also, what are some exciting doors?

ah I know one maybe

engine variant switch like in bdb!

Link to post
Share on other sites
1 hour ago, Beale said:

For sure, this will be included.

I have to admit I am not very intelligent with the CKAN stuff. I think somebody added the "New" streams at some point separate from the old.

Trouble is, I don't have any idea where to go in order to get rid of the "New" and just have Tantares distributed through the standard "Tantares" and "TantaresLV" entries. Any ideas?

Maybe @HebaruSan or @DasSkelett can help to sort out the CKAN confusion? I guess if there a multiple Tantares versions they need to identify the one you are maintaining and remove the rest?

Link to post
Share on other sites
1 hour ago, Beale said:

Due to increased frustration with a lot of elements of the stock game becoming... broken over time, especially the variant system, I am hitting a lot of brick walls.
Because of this, I might need to look at adding dependencies to Tantares, specifically B9 Part Switch. How is the feeling around this? Please give me your input.

This would unlock some exciting doors, but of course I appreciate Tantares, TantaresLV, and our little baby TantaresSP have been without dependencies for almost 7 years now, so I don't want to just plow forward with that.
----------

I think that it's a great idea!

B9PS is a well supported mod, and many others have it as a dependency.

Hopefully it will make things easier for you with development and stuff as well :)

 

CKAN- Perhaps if you release Tantares, LV, and SP updates around the same time, the CKAN team can help you consolidate Tantares so there is only a download for the three parts. Not really sure how that works though. 

Link to post
Share on other sites
1 hour ago, Beale said:

specifically B9 Part Switch. How is the feeling around this? Please give me your input.

If you add B9 Part Switch, I'd say welcome to family.  Probably most modded installs have B9 part switch now, so you would be joining a wonderful world of possibilities! 

Edited by MashAndBangers
Link to post
Share on other sites
10 hours ago, DeadJohn said:

"New Tantares" is the latest version as of several days ago when I last checked. With KSP 1.10.1 I had to manually force the version, though, because CKAN thinks the latest Tantares requires 1.11 minimum. (to get all 3 related mods, CKAN also has "New Tantares LV", and "Tantares SP" without "new")

 

2 hours ago, Beale said:

I have to admit I am not very intelligent with the CKAN stuff. I think somebody added the "New" streams at some point separate from the old.

Trouble is, I don't have any idea where to go in order to get rid of the "New" and just have Tantares distributed through the standard "Tantares" and "TantaresLV" entries. Any ideas?

 

1 hour ago, chris-kerbal said:

Maybe @HebaruSan or @DasSkelett can help to sort out the CKAN confusion? I guess if there a multiple Tantares versions they need to identify the one you are maintaining and remove the rest?

Hm, let's try to untangle this.

It looks like the "New" prefix for Tantares and Tantares LV comes from early 2017, when the SpaceDock pages stopped receiving updates (See the gap between 1.0.1 and 5.0, there have been several version released on GitHub in the meantime). The CKAN team back then decided to switch to the GitHub repositories, but unfortunately indexed them as separate mods with new identifiers, instead of updating the kref of the existing mods. And for whatever reason, they decided to add the "New" prefix. The "old" netkans pointing to SpaceDock have been frozen shortly after.
Later in 2017 the SpaceDock pages have been revived, but CKAN kept the new mods pointing to GitHub.

End of last year we added TantaresSP after receiving the automated PR from SpaceDock.

Right now, the mods "New Tantares", "New TantaresLV" and "TantaresSP" on CKAN are the "current" ones, pointing to "Tantares" (GitHub), "TanaresLV" (GitHub) and "TantaresSP" (SpaceDock). The "Tantares" and "Tantares LV" showing up have releases for KSP 1.1.3 as their latest indexed ones, so they shouldn't show up as installable for anyone.

We can remove the "New" prefix pretty easily from the names as they show up in CKAN. We should also look at pointing all three mods either to their GitHub repos or their SpaceDock pages, instead of the wild mix as of right now; in the same go we'll take a look at their current KSP compatibility data. Additionally, we only install the craft files for TantaresSP, we should probably install them for the other two mods as well.
And maybe we can do some clean up of the older versions. I'll talk with @HebaruSan for what we can and should do.

Thanks for notifying us!

 

1 hour ago, Spaceman.Spiff said:

CKAN- Perhaps if you release Tantares, LV, and SP updates around the same time, the CKAN team can help you consolidate Tantares so there is only a download for the three parts. Not really sure how that works though. 

We can only combine them to a single mod if they all are also included in the same zip. We can also make three mods out of a single zip if the files are somewhat separated.
I don't think this is currently the case, but if @Beale plans to combine them, it's possible.

Edited by DasSkelett
Link to post
Share on other sites
21 minutes ago, DasSkelett said:

We can only combine them to a single mod if they all are also included in the same zip. We can also make three mods out of a single zip if the files are somewhat separated.
I don't think this is currently the case, but if @Beale plans to combine them, it's possible.

My bad, I was unclear. 

I don't believe Beale plans on taking that route. I meant "consolidate" the individual mods so there aren't multiple in CKAN.

:)

Link to post
Share on other sites
Posted (edited)
27 minutes ago, DasSkelett said:

 

 

Hm, let's try to untangle this.

It looks like the "New" prefix for Tantares and Tantares LV comes from early 2017, when the SpaceDock pages stopped receiving updates (See the gap between 1.0.1 and 5.0, there have been several version released on GitHub in the meantime). The CKAN team back then decided to switch to the GitHub repositories, but unfortunately indexed them as separate mods with new identifiers, instead of updating the kref of the existing mods. And for whatever reason, they decided to add the "New" prefix. The "old" netkans pointing to SpaceDock have been frozen shortly after.
Later in 2017 the SpaceDock pages have been revived, but CKAN kept the new mods pointing to GitHub.

End of last year we added TantaresSP after receiving the automated PR from SpaceDock.

Right now, the mods "New Tantares", "New TantaresLV" and "TantaresSP" on CKAN are the "current" ones, pointing to "Tantares" (GitHub), "TanaresLV" (GitHub) and "TantaresSP" (SpaceDock). The "Tantares" and "Tantares LV" showing up have releases for KSP 1.1.3 as their latest indexed ones, so they shouldn't show up as installable for anyone.

We can remove the "New" prefix pretty easily from the names as they show up in CKAN. We should also look at pointing all three mods either to their GitHub repos or their SpaceDock pages, instead of the wild mix as of right now; in the same go we'll take a look at their current KSP compatibility data. Additionally, we only install the craft files for TantaresSP, we should probably install them for the other two mods as well.
And maybe we can do some clean up of the older versions. I'll talk with @HebaruSan for what we can and should do.

Thanks for notifying us!

That would be fantastic, thank you for such a speedy response :)

I think ideal would be as you describe, the new prefix dropped, and all three separate mods pointing to the latest GitHub repo releases.

If there is something I need to do to make this easier, please let me know :)

Edited by Beale
Link to post
Share on other sites
5 hours ago, Beale said:

Due to increased frustration with a lot of elements of the stock game becoming... broken over time, especially the variant system, I am hitting a lot of brick walls.
Because of this, I might need to look at adding dependencies to Tantares, specifically B9 Part Switch. How is the feeling around this? Please give me your input.

It'll probably help with removing duplicate parts (Soyuz boosters A and B, Soyuz spacecraft propellant tank and engine 'standard' and 'basic' are duplicates in all but mesh, these parts can be merged with their counterparts while adding tradeoffs (cheaper, worse) for using different variants), tank switching (so Energia core tanks can fuel LFO engines or vice versa (hydrolox Zenit for no reason), Progress and FGB can carry ore or monoprop for example), generational switches for engines (So Sputnik 1 core isn't the same as Sputnik 3 isn't the same as Vostok isn't the same as Soyuz 2.1), the 1.5m adapter rescales from earlier come back with actual fuel switching this time, maybe CRP compatibility with hypergolic Proton/UR-series, ...

I can't think of more, others probably will

Edited by OrdinaryKerman
Link to post
Share on other sites
31 minutes ago, Beale said:

That would be fantastic, thank you for such a speedy response :)

I think ideal would be as you describe, the new prefix dropped, and all three separate mods pointing to the latest GitHub repo releases.

If there is something I need to do to make this easier, please let me know :)

One question regarding the compatibility:

11 hours ago, DeadJohn said:

With KSP 1.10.1 I had to manually force the version, though, because CKAN thinks the latest Tantares requires 1.11 minimum.

The forum thread, GitHub release and SpaceDock page all say KSP 1.11 only for the latest releases of Tantares and TantaresLV. I can't find a place where it says KSP 1.10.
For TantaresSP the GitHub release says KSP 1.10 and SpaceDock says KSP 1.11.1.

Is the data correct like this?
Tantares: KSP 1.11, TantaresLV: KSP 1.11, TantaresSP: KSP 1.10-1.11
Or should we mark all three of them 1.10-1.11, or all three 1.11 only? Or something else?

Link to post
Share on other sites

B9 is required by basically every other parts mod in existence, as far as I know. It's not like it's a big dependency like Kopernicus or something, and it helps reduce clutter in the VAB!

Link to post
Share on other sites
5 hours ago, Beale said:

Due to increased frustration with a lot of elements of the stock game becoming... limiting over time, especially the variant system, I am hitting a lot of brick walls.
Because of this, I might need to look at adding dependencies to Tantares, specifically B9 Part Switch. How is the feeling around this? Please give me your input.

Since B9 part switch is required by so many mods already I don't think it would be a problem at all to have Tantares use it as well.

Link to post
Share on other sites
1 hour ago, DasSkelett said:

One question regarding the compatibility:

The forum thread, GitHub release and SpaceDock page all say KSP 1.11 only for the latest releases of Tantares and TantaresLV. I can't find a place where it says KSP 1.10.
For TantaresSP the GitHub release says KSP 1.10 and SpaceDock says KSP 1.11.1.

Is the data correct like this?
Tantares: KSP 1.11, TantaresLV: KSP 1.11, TantaresSP: KSP 1.10-1.11
Or should we mark all three of them 1.10-1.11, or all three 1.11 only? Or something else?

Many thanks!

I think definitely 1.11 for all - 1.10.1 is compatible for sure, but there are major breaking bugs in the flat 1.10.0 (fairing issues).

So I can be better behaved in future. :valwink: what is needed in the GitHub release to correctly allow Ckan to parse a version, just a text string (e.g. "1.11.1") anywhere in the release name / description?

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...